package controls;

import java.awt.Color;
import java.awt.event.FocusAdapter;
import java.awt.event.FocusEvent;

import javax.swing.JTextField;

import processView.EquationPanel;


public class EquationTextField extends JTextField implements EquationField
{
	private String label;
	
	public EquationTextField(final EquationPanel equationPanel, String label)
	{
		this.label = label;
		setForeground(new java.awt.Color(192,192,192));
		setText(label);
		setHorizontalAlignment(JTextField.CENTER);
		final EquationTextField field = this;
		addFocusListener(new FocusAdapter() {
			public void focusGained(FocusEvent evt)
			{
				equationPanel.setSelectedTextField(field);
			}
		});
	}
	
	public String getTextWithoutLabel()
	{
		String result = super.getText();
		if (result.equals(label))
		{
			result = "";
		}
		return result;
	}
	
	public String getLabel()
	{
		return label;
	}

	public void setFieldValue(String value) {
		setText(value);
	}
}
