package processModel;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.geom.Dimension2D;
import java.awt.geom.Rectangle2D;

import utilities.AppConstants;
import utilities.HandleType;

public class StateHandle extends Handle {

	private State parent=null;

	/**
	 * Constructor
	 * @param origin
	 */
	public StateHandle(Point p1, State parent) {
		super (p1, HandleType.STATE_HANDLE);
		this.parent=parent;
	}
	
	protected Color getHandleColor() {
		if(selected())
			return Color.blue;
		else 
			return Color.red;
	}
	
	public void paint(Graphics2D g2d) {
		Graphics2D g = (Graphics2D) g2d.create(); //create own copy to alter
		Rectangle2D rect = new Rectangle();
		Dimension2D rectDimension = new Dimension (handleSize(), handleSize());
		double topLeftX = origin().getX() - (handleSize()/2);
		double topLeftY = origin().getY() - (handleSize()/2);
		Point topLeftPoint = new Point((int)topLeftX, (int)topLeftY);
		rect.setFrame(topLeftPoint, rectDimension);
		g.setColor(getHandleColor());
		g.fill(rect);
		g.dispose();
	}

	public State getParent() {
		return parent;
	}

	public void addObs(Element e){
		this.addObserver(e);
	}
	
	public void move(Point newPoint) {
		super.origin(newPoint);
		this.setChanged();
		notifyObservers(AppConstants.MOVE_ELEMENT);
	}

}
