/**
 * 
 */
package processView;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.Image;
import java.awt.MediaTracker;
import java.net.URL;
import java.net.URLClassLoader;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import processModel.Formula;
import processModel.Process;
import processModel.SpecialValue;

import javax.swing.BoxLayout;
import java.util.*;

public class FormulaPictureMenu extends PictureMenu {
	
	private FormulaPanel formulaPanel;
	private java.util.List<Formula> equationList;
	private String answer;	
	
	public FormulaPictureMenu (ProcessApplet owner, Frame parentFrame, String title, Process process)
	{
		super(owner, parentFrame, title, process);
	}
	
	public FormulaPictureMenu (ProcessApplet owner, FormulaPanel formulaPanel, Frame parentFrame, String title, Process process, java.util.List <Formula>equationList, String value){
		super(owner, parentFrame, title, process);
		this.owner = owner;
		this.formulaPanel = formulaPanel;
		this.equationList = equationList;
		this.answer=value;
		createGUI();
	}
	
	protected void createGUI(){
		JPanel pnlMain = new JPanel();
		pnlMain.setLayout(new FlowLayout());
		pnlMain.setBackground(Color.WHITE);
		pnlMain.setOpaque(true);

		for (int i = 0; i < equationList.size(); i++) {
			final Formula formula = equationList.get(i);
			JPanel imageComponent = createIndividualEntryPanel(formula.imageComponent(owner));
			imageComponent.addMouseListener(new MouseAdapter()
			{
				public void mouseReleased(MouseEvent event)
				{
					formulaPanel.setSelectedFormula(formula);
					dispose();
				}
			});
			pnlMain.add(imageComponent);
			if (i < equationList.size()-1) {
				pnlMain.add(Box.createRigidArea(new Dimension(40,0)));
			}
		}
		
		this.add(pnlMain);
	}
}
