package processView;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.List;
import javax.swing.Box;
import javax.swing.JPanel;
import processModel.Process;
import processModel.SpecialValue;

public class SpecialValueMenu extends PictureMenu
{
	private List<SpecialValue> specialValues;
	private DataSummary dataSummary;
	
	public SpecialValueMenu(ProcessApplet owner, DataSummary dataSummary, Frame parentFrame, String title, Process process, List<SpecialValue> specialValues)
	{
		super(owner, parentFrame, title, process);
		this.dataSummary = dataSummary;
		this.specialValues = specialValues;
		createGUI();
	}
	
	protected void createGUI(){
		JPanel pnlMain = new JPanel();
		pnlMain.setLayout(new FlowLayout());
		pnlMain.setBackground(Color.WHITE);
		pnlMain.setOpaque(true);

		for (int i = 0; i < specialValues.size(); i++){
			final SpecialValue value = specialValues.get(i);
			JPanel imageComponent = createIndividualEntryPanel(value.imageComponent(owner));
			imageComponent.addMouseListener(new MouseAdapter()
			{
				public void mouseReleased(MouseEvent event)
				{
					dataSummary.setSpecialValue(value);
					dispose();
				}
			});
			pnlMain.add(imageComponent);
			if (i < specialValues.size()-1) {
				pnlMain.add(Box.createRigidArea(new Dimension(40,0)));
			}
		}
		this.add(pnlMain);
	}
}
